<span id="disable_router_nav_history_direction_check"></span>
## Welcome to Steemit!

This page is full of information to help you learn about the platform and become a successful Steemian. You can return to this page at any time by clicking on the "Welcome" link in the main menu. There is a table of contents below to help you navigate the page.

Included on the page is a "To Do List" with recommended steps to get started with your account, and a "Quick Start Guide" with information on how the platform works. 

Below that is a section of "Helpful Posts from Steemit Users", which contains a collection of posts from users in the community that are helpful for new users getting started. 

Below that is a list of recommended users to follow, a collection of other resources including the <a href="/faq.html">FAQ Page</a> and [Steem 'Bluepaper'](https://steem.io/steem-bluepaper.pdf), as well as information on where to find help. 

## <span id="Table_of_Contents">Table of Contents</span>

### To Do List

1. <a href="#Backup_your_password">Backup Your Password</a>
2. <a href="#Review_the_Quick_Start_Guide">Review the Quick Start Guide</a>
3. <a href="#Read_the_Helpful_Posts_from_Steemit_Users">Read the Helpful Posts from Steemit Users</a>
4. <a href="#Setup_your_Profile_Avatar_and_Cover_Image">Setup your Profile, Avatar, and Cover Image</a>
5. <a href="#Choose_your_NSFW_(Not_Safe_for_Work)_Display_Preference">Choose your "NSFW" (Not Safe for Work) Display Preferences, Language, and Rewards</a>
6. <a href="#Sign_Up_for_Steem_Chat">Sign Up for Steem Chat</a>
7. <a href="#Create_your_introduceyourself_post">Create your "Introduceyourself" Post</a>
8. <a href="#Learn_more">Learn More</a>

### Quick Start Guide

- <a href="#Free_to_Participate">Free to Participate</a>
- <a href="#Votes">Votes</a>
- <a href="#Comments">Comments</a>
- <a href="#Creating_Posts">Creating Posts</a>
- <a href="#Followers_and_Feeds">Followers and Feeds</a>
- <a href="#Resteem">Resteem</a>
- <a href="#Digital_Currencies">Digital Currencies</a>
- <a href="#Curation">Curation</a>
- <a href="#Payments">Payments</a>
- <a href="#Reputation">Reputation</a>
- <a href="#Cashing_out_or_Spending_SBD">Cashing out or Spending SBD</a>
- <a href="#Plagiarism">Plagiarism</a>
- <a href="#Password_Security">Password Security</a>
- <a href="#Earning_on_Steemit">Earning on Steemit</a>

### <a href="#Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</a>
### <a href="#Users_to_Follow">Users to Follow</a>
### <a href="#Other_Resources">Other Resources</a>
### <a href="#Get_Help">Get Help</a>
### <a href="#Third_Party_References">Third Party References</a>

***

## To Do List
<span></span>
### <span id="Backup_your_password">1. Backup Your Password</span>

Unlike centralized web services, **it is not possible to recover lost passwords on the Steem blockchain**.

You are entirely responsible for saving your password, backing it up, and keeping it secure.

It is strongly recommended that you store an offline copy of your password somewhere safe in case of a hard drive failure or other calamity. Consider digital offline storage (such as a flash drive or burned CD), secure private cloud-based storage, as well as printed paper. Use multiple methods of storage for best redundancy. 

If your account is valuable, value it!

<a href="#Table_of_Contents">^</a>
### <span id="Review_the_Quick_Start_Guide">2. Review the Quick Start Guide</span>

The <a href="#Quick_Start_Guide">Quick Start Guide</a> section of this Welcome page contains basic information to help get you started.

<a href="#Table_of_Contents">^</a>
### <span id="Read_the_Helpful_Posts_from_Steemit_Users">3. Read the Helpful Posts from Steemit Users</span>

The <a href="#Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</a> section of this Welcome page contains many well-written articles from members of the community with tips on how to use Steemit and succeed on the Steem blockchain.

<a href="#Table_of_Contents">^</a>
### <span id="Setup_your_Profile_Avatar_and_Cover_Image">4. Setup your Profile, Avatar, and Cover Image</span>

You can update your profile through the Settings page. This includes your display name, location, about information, and website.

To set your avatar image, enter a link to where the image is located into the "Profile Picture URL" field or use the "Upload an image" feature.

To set your cover image, enter a link to where the image is located into the "Cover Image URL" field or use the "Upload an image" feature.

Once you have made all your changes, click the "Update" button to save your profile.

<a href="#Table_of_Contents">^</a>
### <span id="Choose_your_NSFW_(Not_Safe_for_Work)_Display_Preference">5. Choose your "NSFW" (Not Safe for Work) Display Preference, Language, and Rewards</span>

By default, content that users have tagged as "NSFW" will be hidden, but a link will be shown to reveal the content. You can update your display preference so that NSFW content is always shown by default or is completely hidden with no option to reveal.

You can select the language you wish to display the website in. Currently, English, Spanish, Russian, French, Italian, Korean, Japanese, Polish and Chinese are available to choose from.

You can also choose how you will receive your Blog post rewards and Comment post rewards. It is recommended that you read the <a href="#Digital_Currencies">Digital Currencies</a> section first. 

<a href="#Table_of_Contents">^</a>
### <span id="Sign_Up_for_Steem_Chat">6. Sign Up for Steem Chat</span>

A lot of users mingle and chat when they are not posting or browsing Steemit. It is a great place to meet people!

There is a link to sign up in the main menu in the upper right corner.

Your [steem.chat](https://steem.chat/home) account is a separate account from your Steem account.

Some channels allow you to share links, but others don't. For instance, [general](https://steem.chat/channel/general) is for discussion without link promotion, while [postpromotion](https://steem.chat/channel/postpromotion) is for promoting your posts.

Each channel will have its rules posted in the "Room Info" section.

<a href="#Table_of_Contents">^</a>
### <span id="Create_your_introduceyourself_post">7. Create your "Introduceyourself" Post</span>

While not required, the tradition for new users is to create an "introduceyourself" post in order to let the community get to know you.

You can see some examples of what other people have done [here](https://steemit.com/trending/introduceyourself). Many users like to take a picture of themselves holding up a piece of paper that says "Steemit" with the current date.

If you have other social media accounts (Twitter, Facebook, etc.) you can help the community verify that you are who you say you are by sharing the link to your Steem profile on them. If you are claiming to be someone famous, this is pretty much expected.

<a href="#Table_of_Contents">^</a>
### <span id="Learn_more">8. Learn More</span>

The <a href="#Other_Resources">Other Resources</a> section of this Welcome page contains helpful links to learn more about the platform. The FAQ page contains answers to the most commonly asked questions and the Bluepaper explains how the platform works.

<a href="#Table_of_Contents">^</a>

***

## <span id="Quick_Start_Guide">Quick Start Guide</span>

### <span id="Free_to_Participate">Free to Participate</span>

It is free to post, comment, or vote on all content on Steemit.com. You might even get paid for it!

<a href="#Table_of_Contents">^</a>
### <span id="Votes">Votes</span>

Upvotes are Steemit's way of saying you like someone's post or comment.

To upvote, click on the <Icon name="chevron-up-circle" /> *Upvote* icon at the bottom of the post/comment.

Downvotes (flags) are Steemit's way of saying you disapprove of someone's post or comment.

To downvote (flag), click on the <Icon name="flag1" /> *Flag* icon at the top right of the post/comment.

<a href="#Table_of_Contents">^</a>
### <span id="Comments">Comments</span>

When you are new, commenting on other people's posts can be a great way to get involved in the community and to connect with people!

To comment on a post, or reply to an existing comment, click on the "Reply" link at the bottom of the post/comment.

<a href="#Table_of_Contents">^</a>
### <span id="Creating_Posts">Creating Posts</span>

To create a post, click on the "Post" link in the upper right corner.

Posts have three main parts: Title, Content, and Tags.

You will want to make your title attractive and relevant to your content. The first image that you use will become the thumbnail image.

You can insert images by dragging & dropping, pasting from the clipboard, or by selecting them.

Tags will help people find your posts. Each post can have up to five tags, separated by spaces. The tags should all be relevant to the content in the post. You can browse content by tags, as well as see a list of popular tags that other users have used in their posts [here](https://steemit.com/tags).  The first tag becomes the post's category and cannot be changed later.

<a href="#Table_of_Contents">^</a>
### <span id="Followers_and_Feeds">Followers and Feeds</span>

To follow an author, click on their username and click the "Follow" button.

Once you follow someone, all of their posts will show up in your "Feed" on the homepage when you login.

As other Steemians come across your posts and comments, you will start to gain followers.

You can see all of your followers and the people you are following on your profile page.

<a href="#Table_of_Contents">^</a>
### <span id="Resteem">Resteem</span>

If you want to share someone else's post with all of your followers, click on the <Icon name="reblog" /> *resteem* icon. Resteems cannot be undone. 

<a href="#Table_of_Contents">^</a>
### <span id="Digital_Currencies">Digital Currencies</span>

STEEM, Steem Power and Steem Dollars are the three forms of digital currency used by the Steem Blockchain.

More information on the three types of tokens can be found in the [Steemit FAQ](https://steemit.com/faq.html#What_is_the_difference_between_STEEM__STEEM_Power__and_Steem_Dollars).

<a href="#Table_of_Contents">^</a>
### <span id="Curation">Curation</span>

Up to 25% of the reward for each post goes to the people who upvoted on it. These people are called Curators.

The more Steem Power you have in your account, the more your votes will be worth, and the more potential curation rewards you can earn!

<a href="#Table_of_Contents">^</a>
### <span id="Payments">Payments</span>

Payouts are made 7 days after the post/comment is created. You can claim your rewards in your wallet after 7 days.

The projected payments may fluctuate (up and down) until the final payment amount is reached.

Payments for posts are split between the author (at least 75%) and the curators (up to 25%).

The author reward is paid 50% in Steem Power and 50% in STEEM/SBD by default.

Authors also have the option to decline payout, or be paid in 100% Steem Power!

<a href="#Table_of_Contents">^</a>
### <span id="Reputation">Reputation</span>

A reputation score is one way that Steemit measures the amount of value you have brought to the community.

The higher the reputation, the more upvotes the account received.

All new users start at 25.

Your reputation will go up as you earn upvotes for your posts and comments, but it can come down if they are downvoted (flagged).

<a href="#Table_of_Contents">^</a>
### <span id="Cashing_out_or_Spending_SBD">Cashing out or Spending SBD</span>

You can exchange SBD for STEEM in the [Currency Market](https://steemit.com/market). Once you have STEEM, you can "Power Up" in your wallet to gain additional Steem Power.

You can spend your SBD at the [Peerhub Store](https://www.peerhub.com/).

You can also exchange your STEEM and SBD for bitcoin on a third-party exchange such as [BlockTrades](https://blocktrades.us/) or [Bittrex](https://bittrex.com/).

<a href="#Table_of_Contents">^</a>
### <span id="Plagiarism">Plagiarism</span>

The community is looking for you to create engaging content. 

Plagiarising, which is posting someone else's material as if it were your own, is very frowned upon by the Steem community.

If you are using anyone else's material as part of your posts (including images), even if it is free to use, please cite your sources. You should make sure that you are not violating any copyright laws if you are using someone else's material/images. Limited, sourced material sharing is OK under fair use and fair dealing doctrines.

Remember, your posts should have original content in them. Quotes should not compose an entire post. Include your own thoughts, photographs, art, and ideas. 

<a href="#Table_of_Contents">^</a>
### <span id="Password_Security">Password Security</span>

**It is not possible to recover lost passwords for Steem accounts**. You are 100% responsible for having it backed up. This means secure digital backups, as well as secured paper backups, stored in different places if possible.

Never put your password into unverified third party websites as they may steal your account. 

Your Steem account is worth real money. Treat your Steem password like you would your bank password and keep it secure! 

<a href="#Table_of_Contents">^</a>
### <span id="Earning_on_Steemit">Earning on Steemit</span>

Everyone's earnings are different. Have fun. Get involved. Meet new friends. 

The amount of money a user earns depends on their content, following, level of investment and many, many other factors. 

Don't get discouraged if you don't earn much at first. Keep up the good work!

<a href="#Table_of_Contents">^</a>

***

## <span id="Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</span>
### <span id="Blogging">Blogging</span>
- [Advice on How To Build a Following](/steemit/@allasyummyfood/how-i-build-a-following-of-160-k-from-scratch)
- [Steemit Etiquette Guide](/steemit/@thecryptofiend/the-complete-steemit-etiquette-guide-revision-2-0)
- [8 Mistakes to Avoid](/steemit/@alcibiades/8-mistakes-i-see-beginners-make-on-steemit)
- [The Importance of Citation](/steemcleaners/@steemcleaners/the-importance-of-citation)
- [How to Find Success as a Steemit Blogger](/blog/@inquiringtimes/how-to-find-sucess-as-a-steemit-blogger)
- [The Art of Commenting](/steemcleaners/@steemcleaners/the-art-of-commenting)
- [Blogging Tools](/blogging/@munteanu/blogging-tools)
- [The Ultimate Guide of Tips for New Steem Users](/steem-help/@timcliff/the-ultimate-guide-of-tips-for-new-steem-users)
- [Ways to Find Free and Legal Images](/steem-help/@mindover/don-t-plagiarize-images-here-are-13-free-and-legal-ways-to-find-high-quality-photos-you-can-use-on-steemit)
- [The Game of Tags](/steemcleaners/@steemcleaners/the-game-of-tags)
- [Steemit for Artists](/art/@voronoi/steemit-for-artists-a-new-stage-for-craft)
- [Video interview on how to be successful](/blog/@terrybrock/steemit-success-series--timcliff-on-who-to-target-with-your-content-1512178826-124805)

### <span id="Curation">Curation</span>
- [Curation Rewards Explained](/curation/@liberosist/mind-your-votes-ii-a-guide-to-maximizing-your-curation-rewards)
- [More Information on Curation Rewards](/steemit/@calamus056/curation-rewards-explained-in-great-detail)
- [Everything you need to know about potential payouts and flagging](/payout/@timcliff/everything-you-need-to-know-about-potential-payouts-and-flagging-for-new-users)
- [Guide To Steemit Payouts](/steemit/@shenanigator/the-ultimate-guide-to-steemit-payouts)

### <span id="Formatting">Formatting</span>
- [Emojis for Steemit](/emojis/@blueorgy/steemit-emojis-master-list)
- [5 'Markdown' Tips](/steemit/@steemitguide/markdown-and-html-code-guide-for-beginners-that-includes-5-useful-tips-to-edit-posts-and-comments-using-the-raw-editor)

### <span id="Wallet_and_Keys">Wallet and Keys</span>
- [Understanding Your Wallet](/steemit-help/@merej99/the-steemit-newbie-s-comprehensive-guide-to-understanding-your-wallet-by-merej99)
- [Steem Keys and Passwords Guide](/steemit-guides/@pfunk/a-user-s-guide-to-the-different-steem-keys-or-passwords)
- [A Guide To Cashing Out Your STEEM/SBD Using PayPal](/tutorial/@son-of-satire/a-minnows-guide-to-cashing-out-your-steem-sbd-using-paypal-without-using-coinbase-and-their-invasive-identity-checks)

### <span id="Witnesses">Witnesses</span>
- [Witness Voting Guide](/witness-category/@timcliff/witness-voting-guide)

<a href="#Table_of_Contents">^</a>
## <span id="Users_to_Follow">Users to Follow</span>

- @steemitblog - Official Steemit Announcements
- @ned - Ned Scott, CEO and Co-Founder of Steemit, Inc.

<a href="#Table_of_Contents">^</a>
## <span id="Other_Resources">Other Resources</span>

- [FAQ](https://steemit.com/faq.html) - Answers to commonly asked questions
- [Bluepaper](https://steem.io/steem-bluepaper.pdf) - Explanation of how the platform works
- [The Steem Whitepaper](https://steem.io/SteemWhitePaper.pdf) - Technical details of the Steem blockchain
- [Apps Built on Steem](https://steemprojects.com/) - Directory of apps, sites and tools built by Steem community
- [Steem Block Explorer](https://steemd.com/) - Shows the raw Steem blockchain data 
- [Steem Blockchain Explorer](https://steemdb.com/) - Analysis pages for the Steem blockchain data

<a href="#Table_of_Contents">^</a>
## <span id="Get_Help">Get Help</span>

Ask your general questions in the [help](https://steem.chat/channel/help) channel of [steem.chat](https://steem.chat/home). Users in the channel will typically respond to questions within a few hours.

New Member Support Community is a group of people dedicated to helping new users find their way around Steemit. You can find them in the [New Member Support Community](https://discord.gg/HYj4yvw) channel of Discord Chat.

<a href="#Table_of_Contents">^</a>
## <span id="Third_Party_References">Third Party References</span>

Peerhub, BlockTrades, Bittrex, Steem Chat, New Member Support Community, and Discord Chat, as well as the tools listed under "Other Resources", are third party applications/services and are not owned or maintained by Steemit, Inc. Their listing here does not constitute an endorsement or recommendation on behalf of Steemit, Inc.

All of the links in the "Helpful Posts from Steemit Users" section were created by our users and do not necessarily represent the views of Steemit, Inc. or its management.

Please use the third party tools and content at your own risk.

<a href="#Table_of_Contents">^</a>
